package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DormitoryTypeFactory
{
    private DormitoryTypeFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryType getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryType)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("1D9EDF3E") ,com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryType.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryType getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryType)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("1D9EDF3E") ,com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryType.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryType getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryType)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("1D9EDF3E"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryType getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryType)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("1D9EDF3E"));
    }
}